import { ethers } from "ethers";
import type { AsyncRes } from "./types.js";
declare class KimapClient {
    apiKey: string;
    contract: ethers.Contract;
    constructor(apiKey: string);
    fetchAbi(): Promise<any>;
    getPublicKey(name: string): AsyncRes<string>;
    namehash(name: string): Promise<string>;
    verifySignature(node: string, messageArray: number[], signatureArray: number[]): AsyncRes<boolean>;
}
export default KimapClient;
